# Verbose levels for logs (gearman_verbose_t)

## SYNOPSIS

#include <libgearman/gearman.h>

type gearman_verbose_t

const char *gearman_verbose_name(gearman_verbose_t verbose)

Link with -lgearman

## DESCRIPTION

`gearman_verbose_name()` takes a `gearman_verbose_t` and returns a character representation of it.

Possible values of `gearman_verbose_t`:

type GEARMAN_VERBOSE_FATAL

Fatal errors.

type GEARMAN_VERBOSE_ERROR

All errors.

type GEARMAN_VERBOSE_INFO

General information state about any events.

type GEARMAN_VERBOSE_DEBUG

Information calls left in the code for debugging events.

## RETURN VALUE

A character string representing the verbose leval.

## HOME

To find out more information please check: http://gearman.info/

## SEE ALSO

gearmand(8) libgearman(3)